%define release 2mdk
%define version 0.2.1
%define url ftp://ftp.linuxnfs.sourceforge.org/pub/nfs

Summary: The utilities for Linux NFS server.
Name: nfs-utils
Version: %{version}
Release: %{release}
Source0: %{url}/%{name}-%{version}.tar.bz2
Group: Networking/Other
Obsoletes: nfs-server knfsd nfs-server-clients
Provides: nfs-server knfsd nfs-server-clients
Requires: nfs-utils-clients, kernel >= 2.2.5, portmap >= 4.0
Copyright: GPL
URL: %{url}
ExcludeArch: armv4l
Buildroot: %{_tmppath}/%{name}-root
Serial: 1
Patch1: nfs-utils-0.2.1-mdkconf.patch.bz2
Prefix: %{_prefix}

%description
The nfs-utils package provides the utilities for Linux NFS server.

This package replace the old knfsd package.

%package clients
Summary: The utilities for Linux NFS client.
Group: Networking/Other
Obsoletes: knfsd-clients knfsd-lock
Provides: knfsd-clients knfsd-lock
Requires: kernel >= 2.2.5, portmap >= 4.0

%description clients
The nfs-utils package provides the utilities for Linux NFS client.

This package replace the old knfsd-clients + part of knfsd package.

%prep
%setup -q
%patch1 -p1

%build
%configure
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,%{_sbindir}}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{5,8}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
make install STATEDIR=$RPM_BUILD_ROOT%{_localstatedir}/nfs/ install_prefix=$RPM_BUILD_ROOT
install -s -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 etc/redhat/nfs.init $RPM_BUILD_ROOT%{_initrddir}/nfs
install -m 755 etc/redhat/nfslock.init $RPM_BUILD_ROOT%{_initrddir}/nfslock

# Yeh. I am lazy.
perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nfs

%post clients
/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
fi

%preun clients
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfslock
fi

%files
%defattr(-,root,root)
/sbin/rpcdebug
%{_sbindir}/exportfs
%{_sbindir}/nfsstat
%{_sbindir}/nhfsstone
%{_sbindir}/rpc.mountd
%{_sbindir}/rpc.nfsd
%{_sbindir}/rpc.rquotad
%{_mandir}/man5/exports.5.bz2
%{_mandir}/man8/exportfs.8.bz2
%{_mandir}/man8/mountd.8.bz2
%{_mandir}/man8/nfsd.8.bz2
%{_mandir}/man8/nfsstat.8.bz2
%{_mandir}/man8/rpc.mountd.8.bz2
%{_mandir}/man8/rpc.nfsd.8.bz2
%{_mandir}/man8/rpc.rquotad.8.bz2
%{_mandir}/man8/rquotad.8.bz2
%config(noreplace) %{_initrddir}/nfs
%config(noreplace) %{_localstatedir}/nfs/xtab
%config(noreplace) %{_localstatedir}/nfs/etab
%config(noreplace) %{_localstatedir}/nfs/rmtab

%files clients
%defattr(-,root,root)
%{_sbindir}/rpc.lockd
%{_sbindir}/rpc.statd
%{_sbindir}/showmount
%{_mandir}/man8/rpc.statd.8.bz2
%{_mandir}/man8/statd.8.bz2
%{_mandir}/man8/showmount.8.bz2
%config(noreplace) %{_initrddir}/nfslock
%dir %{_localstatedir}/nfs
%doc README


%changelog
* Mon Oct 09 2000 Florin Grad <florin@mandrakesoft.com> 0.2.1-2mdk
- chkconfig is now 345 ... instead of - 60 ...

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1 bug fix release.

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-5mdk
- Florin or chmou sucks, pidofproc come from the
  /etc/init.d/functions.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-4mdk
- nfslock: where pidofproc come from ? use pidof instead (florin).

* Thu Sep 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-3mdk
- nfslock: don't kill lockd processes that do not have an executable
  (i.e. kernel threads).

* Thu Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 0.2-2mdk
- added noreplace for %{_inirddir}/(nfs|nfslock)

* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-1mdk
- s/0.1.9.1/0.2/;

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 0.1.9.1-4mdk
- changing some macros

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.9.1-3mdk
- BM
- more macros

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.9.1-2mdk
- fix build with latest rpm macros

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.9.1-1mdk
- new release (mainly turning gcc warnings off)
- fix build as non root with tmpdir

* Mon Jul  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.8-1mdk
- 0.1.8.
- Macrozifications.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.7-3mdk
- Fix path call (/usr/sbin !> /sbin/).
- Launch always rpc.statd.

* Wed Apr 06 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1.7-2mdk
- Renamed linusinit patch to mdkinit.
- Do not grep for linus in /proc/version, but for mdk 
  (Thanks to Jrgen Zimmermann)

* Wed Mar 22 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1.7-1mdk
- Update to 0.1.7.
- Fix group.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.

* Tue Dec 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.5.
- Fix init script with kernel-linus.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.4.

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.3.

* Thu Nov 25 1999 Pixel <pixel@linux-mandrake.com>
- fixed %defattr
- split in 2 packages: nfs-utils-clients & nfs-utils (for server)

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.1.2

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.1.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First Spec files based on original version of H.J Lu.
